package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.sql.Timestamp;

/**
 * 公司表对象 sys_company
 * 
 * @author dgtly
 * @date 2020-01-08
 */
public class SysCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司编号 */
    private Long id;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String company;

    private Integer authorizeId;

    private Integer status;//公司状态

    private Timestamp createTime;//创建时间

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }

    public Integer getAuthorizeId() {
        return authorizeId;
    }

    public void setAuthorizeId(Integer authorizeId) {
        this.authorizeId = authorizeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("createTime", getCreateTime())
            .toString();
    }
    //创建公司时创建的用户账号密码
    private String loginName;
    private String password;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
